Package com.ocient.jdbc.proto

# Enum PlanProtocol.Operator.RequestOneofCase

java.lang.Object
java.lang.Enum<PlanProtocol.Operator.RequestOneofCase>
com.ocient.jdbc.proto.PlanProtocol.Operator.RequestOneofCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<PlanProtocol.Operator.RequestOneofCase>`, `java.lang.constant.Constable`

Enclosing class:
  PlanProtocol.Operator

    public static enum PlanProtocol.Operator.RequestOneofCase
    extends Enum<PlanProtocol.Operator.RequestOneofCase>
    implements com.google.protobuf.Internal.EnumLite

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`AGGREGATION_OPERATOR` |
`AVG_COL_SIZE_VIRTUAL_OPERATOR` |
`BROADCAST_OPERATOR` |
`COL_CARD_VIRTUAL_OPERATOR` |
`COL_DIST_VIRTUAL_OPERATOR` |
`COLUMN_EMITTER_OPERATOR` |
`EOS_OPERATOR` |
`ERROR_OPERATOR` |
`EXCEPT_OPERATOR` |
`EXTEND_OPERATOR` |
`GATHER_OPERATOR` |
`GDC_LOOKUP_OPERATOR` |
`GENERATE_OPERATOR` |
`HASH_JOIN_OPERATOR` |
`INCREMENTING_BIGINT_OPERATOR` |
`INCREMENTING_INT_OPERATOR` |
`INDEX_AGG_OPERATOR` |
`INDEX_COUNT_STAR_OPERATOR` |
`INDEX_DISTINCT_OPERATOR` |
`INDEX_OPERATOR` |
`INTERSECT_OPERATOR` |
`LIMIT_OPERATOR` |
`MAKE_VECTOR_OPERATOR` |
`MATRIX_EXTEND_OPERATOR` |
`MODIFY_SCHEMA_OPERATOR` |
`OFFSET_OPERATOR` |
`ORDERED_AGG_OPERATOR` |
`ORDERED_DISTINCT_OPERATOR` |
`ORDERED_GATHER_OPERATOR` |
`PRODUCT_OPERATOR` |
`PROJECT_OUT_OPERATOR` |
`QUERIES_VIRTUAL_OPERATOR` |
`RANDOM_INT_OPERATOR` |
`REFERENCE_OPERATOR` |
`RENAME_OPERATOR` |
`REORDER_OPERATOR` |
`REQUESTONEOF_NOT_SET` |
`ROOT_OPERATOR` |
`SELECT_OPERATOR` |
`SHUFFLE_OPERATOR` |
`SORT_OPERATOR` |
`SUPER_SELECT_OPERATOR` |
`SWITCH_OPERATOR` |
`SYSTEM_CONFIGURATION_VIRTUAL_OPERATOR` |
`TABLE_CARD_VIRTUAL_OPERATOR` |
`TABLE_SCAN_OPERATOR` |
`TEE_OPERATOR` |
`UNION_OPERATOR` |
`UNMAKE_VECTOR_OPERATOR` |
`WINDOW_OPERATOR` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static PlanProtocol.Operator.RequestOneofCase` | `forNumber​(int value)` |
`int` | `getNumber()` |
`static PlanProtocol.Operator.RequestOneofCase` | `valueOf​(int value)` | Deprecated.
`static PlanProtocol.Operator.RequestOneofCase` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.Operator.RequestOneofCase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AGGREGATION_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase AGGREGATION_OPERATOR

### EXTEND_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase EXTEND_OPERATOR

### GATHER_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase GATHER_OPERATOR

### INDEX_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase INDEX_OPERATOR

### LIMIT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase LIMIT_OPERATOR

### OFFSET_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase OFFSET_OPERATOR

### ORDERED_GATHER_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase ORDERED_GATHER_OPERATOR

### PROJECT_OUT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase PROJECT_OUT_OPERATOR

### RENAME_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase RENAME_OPERATOR

### REORDER_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase REORDER_OPERATOR

### SELECT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase SELECT_OPERATOR

### SORT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase SORT_OPERATOR

### ROOT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase ROOT_OPERATOR

### MAKE_VECTOR_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase MAKE_VECTOR_OPERATOR

### UNMAKE_VECTOR_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase UNMAKE_VECTOR_OPERATOR

### MATRIX_EXTEND_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase MATRIX_EXTEND_OPERATOR

### TABLE_SCAN_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase TABLE_SCAN_OPERATOR

### INCREMENTING_INT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase INCREMENTING_INT_OPERATOR

### GENERATE_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase GENERATE_OPERATOR

### SUPER_SELECT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase SUPER_SELECT_OPERATOR

### QUERIES_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase QUERIES_VIRTUAL_OPERATOR

### RANDOM_INT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase RANDOM_INT_OPERATOR

### COLUMN_EMITTER_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase COLUMN_EMITTER_OPERATOR

### UNION_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase UNION_OPERATOR

### INTERSECT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase INTERSECT_OPERATOR

### EXCEPT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase EXCEPT_OPERATOR

### SWITCH_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase SWITCH_OPERATOR

### PRODUCT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase PRODUCT_OPERATOR

### HASH_JOIN_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase HASH_JOIN_OPERATOR

### EOS_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase EOS_OPERATOR

### TEE_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase TEE_OPERATOR

### SHUFFLE_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase SHUFFLE_OPERATOR

### BROADCAST_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase BROADCAST_OPERATOR

### WINDOW_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase WINDOW_OPERATOR

### ERROR_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase ERROR_OPERATOR

### INDEX_AGG_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase INDEX_AGG_OPERATOR

### ORDERED_AGG_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase ORDERED_AGG_OPERATOR

### INDEX_DISTINCT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase INDEX_DISTINCT_OPERATOR

### ORDERED_DISTINCT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase ORDERED_DISTINCT_OPERATOR

### INCREMENTING_BIGINT_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase INCREMENTING_BIGINT_OPERATOR

### INDEX_COUNT_STAR_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase INDEX_COUNT_STAR_OPERATOR

### GDC_LOOKUP_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase GDC_LOOKUP_OPERATOR

### REFERENCE_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase REFERENCE_OPERATOR

### MODIFY_SCHEMA_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase MODIFY_SCHEMA_OPERATOR

### SYSTEM_CONFIGURATION_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase SYSTEM_CONFIGURATION_VIRTUAL_OPERATOR

### TABLE_CARD_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase TABLE_CARD_VIRTUAL_OPERATOR

### COL_CARD_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase COL_CARD_VIRTUAL_OPERATOR

### AVG_COL_SIZE_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase AVG_COL_SIZE_VIRTUAL_OPERATOR

### COL_DIST_VIRTUAL_OPERATOR

public static final PlanProtocol.Operator.RequestOneofCase COL_DIST_VIRTUAL_OPERATOR

### REQUESTONEOF_NOT_SET

public static final PlanProtocol.Operator.RequestOneofCase REQUESTONEOF_NOT_SET

## Method Details

### values

public static PlanProtocol.Operator.RequestOneofCase[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PlanProtocol.Operator.RequestOneofCase valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static PlanProtocol.Operator.RequestOneofCase valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static PlanProtocol.Operator.RequestOneofCase forNumber​(int value)

### getNumber

public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`